Subject: Re: [PATCH net v2 0/3] dpaa_eth: A050385 erratum workaround fixes under XDP

From: Maciej Fijalkowski <[email-masked]>
Date: Thu, 4 Feb 2021 19:54:03 +0100

On Thu, Feb 04, 2021 at 06:49:25PM +0200, Camelia Groza wrote:
> This series addresses issue with the current workaround for the A050385
> erratum in XDP scenarios.
> 
> The first patch makes sure the xdp_frame structure stored at the start of
> new buffers isn't overwritten.
> 
> The second patch decreases the required data alignment value, thus
> preventing unnecessary realignments.
> 
> The third patch moves the data in place to align it, instead of allocating
> a new buffer for each frame that breaks the alignment rules, thus bringing
> an up to 40% performance increase. With this change, the impact of the
> erratum workaround is reduced in many cases to a single digit decrease, and
> to lower double digits in single flow scenarios.
> 

For series:
Acked-by: Maciej Fijalkowski <[email-masked]>

> Changes in v2:
> - guarantee enough tailroom is available for the shared_info in 1/3
> 
> Camelia Groza (3):
>   dpaa_eth: reserve space for the xdp_frame under the A050385 erratum
>   dpaa_eth: reduce data alignment requirements for the A050385 erratum
>   dpaa_eth: try to move the data in place for the A050385 erratum
> 
>  .../net/ethernet/freescale/dpaa/dpaa_eth.c    | 42 +++++++++++++++++--
>  1 file changed, 38 insertions(+), 4 deletions(-)
> 
> --
> 2.17.1
>